### Virtual Method

# Camel MessageInfo take_user_headers

since: 3.42

#### Declaration [src]

    gboolean
    take_user_headers (
      CamelMessageInfo* mi,
      CamelNameValueArray* headers
    )

#### Description [src]

Takes user-defined message headers of the associated message.

If the `mi` changed, the ‘dirty’ flag is set automatically, unless the `mi` is aborting notifications. There is not emitted folder’s “changed” signal for this `mi`.

Note that it’s not safe to use the `headers` after the call to this function, because it can be freed due to no change.

Available since: 3.42

#### Parameters

`headers`

  Type: `CamelNameValueArray`

  Headers to set, as `CamelNameValueArray`, or `NULL`.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the value changed.